Ubuntu

multisearch CSE breaks l18n+setfocus+images+cached+I'm feeling lucky functionality and "violates user trust"

Reported by Rami Al-Rfou' on 2009-07-21
340
This bug affects 50 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Invalid
Undecided
Unassigned
Ubuntu Start Page
Undecided
Unassigned
firefox-3.0 (Ubuntu)
High
Alexander Sack
Karmic
High
Alexander Sack
firefox-3.5 (Ubuntu)
High
Alexander Sack
Karmic
High
Alexander Sack

Bug Description

Binary package hint: firefox-3.5

this plugin changed the value of keyword.URL from
http://www.google.com/search?ie=UTF-8&oe=UTF-8&sourceid=navclient&gfns=1&q=
to
http://www.google.com/cse?cx=partner-pub-2070091971271392:getzo5-xcfi&ie=UTF-8&sa=Search&q=

Beside the ugly google search page results that i havem when I am searching for stanford (I am not searching. I am just lazy to type stanford.edu) in the previous case google will forward me directly to the page, this works only for famous websites. Now this partially feeling lucky feature is blocked by the new extenstion which returns always the search page results!

--------------------
Multisearch plugin is an experiment designed for an ubuntu *alpha* release (meaning: this is not expected to make all happy, nor should someone expect this to be of production quality now).

For further information about mulitsearch:
http://www.asoftsite.org/s9y/archives/162-What-is-this-Multisearch-thing-in-my-Firefox-about.html
--------------------

ProblemType: Bug
Architecture: i386
Date: Wed Jul 22 01:32:04 2009
DistroRelease: Ubuntu 9.10
Package: firefox-3.5 3.5.1+build1+nobinonly-0ubuntu1
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
SourcePackage: firefox-3.5
Uname: Linux 2.6.31-3-generic i686

Rami Al-Rfou' (rmyeid) wrote :
Alexander Sack (asac) wrote :

Thanks. To workaround you can disable the extension in tools -> addons.

Changed in firefox-3.5 (Ubuntu):
status: New → Triaged
Changed in firefox-3.0 (Ubuntu):
status: New → Triaged
Changed in firefox-3.5 (Ubuntu):
assignee: nobody → Alexander Sack (asac)
Changed in firefox-3.0 (Ubuntu):
assignee: nobody → Alexander Sack (asac)
Alexander Sack (asac) on 2009-07-22
Changed in firefox-3.5 (Ubuntu):
importance: Undecided → High
Changed in firefox-3.0 (Ubuntu):
importance: Undecided → High
tags: added: multisearch
Yotam Benshalom (benshalom) wrote :

There is a heated discussion about the necessity of the multisearch addon and the reasons and methods of its inclusion in the forums: http://ubuntuforums.org/showthread.php?t=1219501
Personally I think the add on should go away, and the sooner the better. It is unpleasant aesthetically, forces an unrequested and undesired web service onto the user's eyes, favors a single, commercial search engine and harms existing functionality (no more blank pages, no more I'm-feeling-lucky direct forwarding).

Kyle Jones (mutiny32) wrote :

I'd really like to know who developed this extension and why it was decided that it was a required part of the firefox-3.0/firefox-3.5 package. As it stands, the sole purpose of this extension seems to be to direct users to Google's Ubuntu Partner Custom Search for more impressions.

It can also be perceived that the modification of the Search/location/whatever bars to direct to a different results page while still looking like the default Google Search, icon and all, is an attempt to trick the user into thinking nothing has changed. That would almost be considered malware in a sense. It subverts the default actions of the bar.

Jess Miller (kaitwospirit) wrote :

The custom search also has no links to images, videos, maps, etc. If someone was hoping to enter a search term and then do a Google image search, this will not work without disabling the add-on.

Roger (r-wiberg) wrote :

This is a flagrant breach of trust. You installed something on my computer that I absolutely didn't want installed. Apart from the FOSS philosophy, the one thing that makes me love Linux is that I don't have to have ads rammed down my throat when using it. Or at least I didn't use to.

I suggest you remove this piece of software at once. I also suggest that whoever is responsible at Canonical is sacked, immediately, and that we are given assurances that something like this will never happen in future.

Jeffrey Baker (jwbaker) wrote :

A user new to Ubuntu would likely respond to multisearch with "Google does not work on Ubuntu" which a very bad result indeed. Multisearch add-on should go away until it can at least draw parity with plain old google.com search results.

Alexander Sack (asac) wrote :

Hi,

thanks for raising your concerns on "Multisearch" in this bug. Here a few things:

1. We understand that you have a strong opinion about this change as it
potentially touches areas you use for your daily work. Anyway, we are still at
alpha stage and trying new things out and gather usage data, feedback, and
bugs is basically what we do in ubuntu at this stage of development.

2. We saw similar concerns being raised at various places on the web. It was
not really un-anticipated that this would trigger some discussion and we
definitely take those concerns seriously. Because of that we plan to address
the most common concerns in a central place, like a wiki or blog.

3. If this "Multisearch" extension really interferes negatively with your
personal workflow, you can disable the extension "Multisearch" in
Tools -> Addons for the time being.

Yotam Benshalom (benshalom) wrote :

Just to clarify something: the strong response is not because this feature "touches areas we use for our daily work". It is because the lack of 'features' like this is why we love Ubuntu in the first place. This is Ubuntu; I do not expect it to act like windows malware. The strong response is because, quite frankly, this addition is like a worm in a peach. I have lived with worse usability regressions in Ubuntu, but I will not put up with such an anti-user, pro-corporation move. This is not the Ubuntu way.

gaestur (usx) wrote :

Such a sad surprise. What to expect next? I used to trust Ubuntu and was promoting this distro at work and among my friends, but it's impossible to rely on those who install to my computer unrequested software (an adware, frankly speaking), which mangles my search results. It's not "testing new features". It's "trying to exploit trust and losing it".

Kyle Jones (mutiny32) wrote :

Alexander,

Why do you refer to the extension in a very "so called" manner? Are you not the maintainer of firefox-3.0 and firefox-3.5 in Ubuntu? It sounds almost as if you were forced to implement this.

Jess Miller (kaitwospirit) wrote :

The problems I have with Multisearch:

1) The name of the extension is not easily related to its effect. "Multisearch" does affect searches, but only Google searches. To me, it sounds more like "something that adds a pack of search options" than "something that changes a standard Google search into a branded one and changes your new tab start page."
2) Multisearch makes it impossible, while enabled, to do a "clean" Google search from the search bar and takes over the Google icon while not allowing access to Google functionality that users expect. If the Ubuntu custom search was installed as one option among others, this would be less frustrating. It is also frustrating because determining the cause is the "Multisearch" add-on is difficult because of its unhelpful name, and because it is not a user-installed add-on so a user does not expect to need to look there.
3) Replacing the about:blank page with the Ubuntu custom search when a new tab is opened is simply tacky. More often than not, I have a particular website in mind for my new tab. Placing the custom search there is unexpected and disruptive. It is unnecessary visual clutter. It also reads as pushy, in-your-face marketing for the Google custom search. I don't see this particular action taken by Multisearch as morally wrong (though many others do, and I would argue that removing Google functionality while still identifying a search with the Google icon IS wrong), simply irritating and tacky. Personally, pushy marketing tactics as those used by Ubuntu in the Multisearch add-on serve to drive me away immediately, without any particular consideration as to the pros and cons of something.

Corey Kearney (snkiz) wrote :

i'm not using karmic just ran across the post in the forms. I agree this is crapware, just one question: is the "Ubuntu firefox Modifications" addon up to date yet? I'd hate to think this got done before the addon that actually integrates firefox with the desktop. seeing as how they've had three months already.

On Fri, Jul 24, 2009 at 04:18:12AM -0000, Corey Buckingham wrote:
> is crapware, just one question: is the "Ubuntu firefox Modifications"
> addon up to date yet? I'd hate to think this got done before the addon

Yes, ubufox is up-to-date and working on firefox-3.0 and 3.5 (and even
3.6); also I uploaded 0.8~a1 a week or so ago to karmic [1]

 [1] - https://edge.launchpad.net/ubuntu/+source/ubufox/0.8~a1-0ubuntu1

 - Alexander

Alexander Sack (asac) wrote :

On Fri, Jul 24, 2009 at 02:35:16AM -0000, Jess Miller wrote:
> The problems I have with Multisearch:
>
> 1) The name of the extension is not easily related to its
> effect. "Multisearch" does affect searches, but only Google
> searches. To me, it sounds more like "something that adds a pack of
> search options" than "something that changes a standard Google
> search into a branded one and changes your new tab start page."

Names are always difficult and are non-trivial to decide on; and we
didn't spend much time thinking about the name for something that is
just used during alpha3-4 cycle to understand better how our users
(would) use the various search places.

> 2) Multisearch makes it impossible, while enabled, to do a "clean"
> Google search from the search bar and takes over the Google icon
> while not allowing access to Google functionality that users
> expect. If the Ubuntu custom search was installed as one option
> among others, this would be less frustrating. It is also frustrating
> because determining the cause is the "Multisearch" add-on is
> difficult because of its unhelpful name, and because it is not a
> user-installed add-on so a user does not expect to need to look
> there.

The custom search thing is currently the easiest way for us to gather
the data we want to get from this experiment.

> 3) Replacing the about:blank page with the Ubuntu custom search when
> a new tab is opened is simply tacky. More often than not, I have a
> particular website in mind for my new tab. Placing the custom search
> there is unexpected and disruptive. It is unnecessary visual
> clutter. It also reads as pushy, in-your-face marketing for the
> Google custom search. I don't see this particular action taken by
> Multisearch as morally wrong (though many others do, and I would
> argue that removing Google functionality while still identifying a
> search with the Google icon IS wrong), simply irritating and
> tacky. Personally, pushy marketing tactics as those used by Ubuntu
> in the Multisearch add-on serve to drive me away immediately,
> without any particular consideration as to the pros and cons of
> something.

A newtab implementation - if it was done - would be configurable and
far more powerful than what you see now. The current state is just a
quick pitch for the test we wanted to do in alpha3.

To get a better idea on what a newtab could look like, check out
mozilla's newtab effort:

http://labs.mozilla.com/2009/03/new-tab-page-proposed-design-principles-and-prototype/
http://labs.mozilla.com/2009/03/firefox-new-tab-next-iteration/

 - Alexander

Currency conversions don't work either. That's what lead me here.

knarf (launchpad-ubuntu-f) wrote :

To whoever lies behind the decision to put a revenue-gathering extension in the base browser package: this is not the way to win support from free software users. If you want to enable your users to assist in gathering revenue for your company or group do it in a totally open and completely voluntary way by:

 - publishing this extension on your main page, explain that the revenues gathered by it help to contribute to this software distribution
 - adding it as a suggested package for the browser packages
 - have the browser show a document on first load which gives the user a choice to install this extension

Doing it in the way it is currently done is a relic from times gone by when commercially driven companies used every trick in the book - and some which had not been written about yet - to try to extract more revenue from their customers. Canonical and the Ubuntu project were supposed to break with that tradition, not continue it.

Please change the way this extension is published. And please don't try other tricks like this again. I like the fact that I can - or at least used to be able to - trust the packages in the repository. I'd hate to have to go through every single package with a fine-toothed comb to weed out the crap, that reminds me to much of the way things are done on the other side of the fence.

So please don't jump that fence. The grass is greener here anyway...

John Vivirito (gnomefreak) wrote :

Alexander:
 i am agreed that we should drop the multisearch extension.
I personally like the idea of the "Out There Designs" found http://labs.mozilla.com/2009/03/firefox-new-tab-next-iteration/
But it will only slow FF down at least i feel it would and we cant affourd to slow it down at this time.

You know where to find me if you have questions :)

Tom Pino (metalsmith-rangeweb) wrote :

There are those of us who do not even like Google and even having to disable this is a slap in the face.

Jess Miller (kaitwospirit) wrote :

Alexander:

You stated that Multisearch is "something that is just used during alpha3-4 cycle to understand better how our users (would) use the various search places." Can I get a clear explanation of what Multisearch actually does? This statement makes it sound as if you are attempting to track our search results, and in that case, without an opt-in, this sounds like an invasion of privacy. However, that statement was vague enough that I don't want to accuse you of anything, because I could be far off the mark in this interpretation.

Also, in the future, before rolling out a modification to users' web browsers meant to collect experimental data, please consider at least some explanation of what is going on first. There would be considerably less vitriol if someone had notified the users that Multisearch was meant to be temporary and was not meant to reflect the final state of any modification to Firefox that Ubuntu may use. If you had even made the extension voluntary and asked for help among alpha testers, I'd think you would have had plenty of testers lined up for something that requires so little user effort.

Kyle Jones (mutiny32) wrote :

Whoah whoah whoah. Hold on for a second.

WHAT KIND of data are you gathering?

Correct me if I'm incorrect, but you just implied that this extension, which is forcefully installed without any kind of user knowledge or consent, is designed in part to collect search data.

Without user knowledge or consent. Collecting data.

If this is true, I'm not sure the implications of this are realized by whoever's project this is, alpha or not. I suggest you re-evaluate the inclusion of this extension as soon as humanly possible.

To put it in as plain English as possible:

This new extension is installed by stealth, hijacks the search functions of the browser by masquerading itself as plain Google search but funnels those searches to your own custom Google search, and some data those searches done by unknowing users is being collected by someone at Canonical.

Think about that for a moment.

Eric Appleman (erappleman) wrote :

Alex, I've asked you repeatedly on IRC and you keep dodging the question.

For the last time: Who is the mastermind behind Multisearch and who is requiring its implementation?

Kyle Jones (mutiny32) wrote :

Eric, note he didn't answer me asking pretty much the same question in this very bug report.

Download full text (3.2 KiB)

Thanks all for your comments on this bug. Thanks to all for testing the alpha and for contributing to making Karmic as great as it can be. I appreciate the measured and respectful tone of the reporting.

I take these concerns very seriously. Please allow me to summarize the issues raised here, and provide some facts and responses:

We've made some changes in the Alpha 3 version of Firefox related to how and where search queries are processed. We've introduced the changes at this time in an experimental vein in order to explore and understand the user experience and usage patterns. We plan to use this experimental code at least until Alpha 4.

Note that we did not necessarily foresee Multisearch as code that we would ship in a stable release. Whatever actions we take in response to the information and feedback will depend on the information and feedback that we collect from this effort.

Essentially, we implemented two changes in order to collect this usage data:
1. When users ask for a new tab, they see a default search page.
2. All searches use the custom search results page. Previously this search results page was only used when users did a search from the default Ubuntu home page.

Change #1 was an effort to explore a better user experience. Generally, it seems odd when users get a blank page, especially when they are using ff on a netbook in full screen mode. New tab simply makes the screen go white. Note that Mozilla is exploring "new tab" behaviour as well (http://labs.mozilla.com/2009/03/new-tab-page-proposed-design-principles-and-prototype/)

Change #2 is just an artefact of collecting the usage data. We could only see what parts of the FF UI people were using to do searches if we sent them to our custom page. This usage data is important because it helps us channel design and development resources to useful features, and is also important because it can be tied to revenue generation.

Generating revenue that supports the project is a feature, not a bug. However, we are mindful of not throwing the baby out with the bath water. In other words, we must strike the balance of continuing to deliver a top notch user experience while taking advantage of revenue opportunities.

In terms of "what kind of usage data" are we collecting, it's simply the same data that is already sent to Google and Mozilla: the requested search, and the channel for the search. This is the data that are already provided and collected every time a user performs a search with a search engine anywhere on the web, and we are simply using stock Google tools to see the aggregated results.

This bug started out with a specific issue, but some bug reporters have added issues. I believe the following issues raised are concerns that should be treated as bugs:
1. Awesome bar does not do "feeling lucky" type search
2. The custom search results page is not aesthetically pleasing
3. The custom search page lacks useful functionality (images, videos, maps, etc...)
4. "Multisearch" is not a descriptive name
5. Search UI on New Tab pages is visual clutter, not useful
6. Currency conversions don't work

We will take these considerations strongly into account as we consider wh...

Read more...

Corey Kearney (snkiz) wrote :

Thank you Alex I'd quote but don't know how in launchpad, is it back ported? as stated I'm not using karmic (and glad for that at the moment) II sure all the jaunty 3.5 users have waited long enough for this. But back on topic this is just plain scary I hope it goes away in all forms before final or I'll be looking for another distro. Its a shame Ubuntu has been good to me.

Kyle Jones (mutiny32) wrote :

Alluding to the fact that Mozilla and Google already collect the same data is not a very good argument. No consent was given for other parties to collect this data as well as no notification that it was being done.

Download full text (3.8 KiB)

Il 24/07/2009 19:16, Rick Spencer ha scritto:
> Change #2 is just an artefact of collecting the usage data. We could
> only see what parts of the FF UI people were using to do searches if we
> sent them to our custom page. This usage data is important because it
> helps us channel design and development resources to useful features,
> and is also important because it can be tied to revenue generation.
>
> Generating revenue that supports the project is a feature, not a bug.
> However, we are mindful of not throwing the baby out with the bath
> water. In other words, we must strike the balance of continuing to
> deliver a top notch user experience while taking advantage of revenue
> opportunities.
>

Therefore here for the first time you (as the "ubuntu/canonical" entity)
are admitting that

1) you are generating revenue from the attempts of people to search
google and

2) you are collecting search data of your users without they being informed

Now let us stop the big lie. I don't think you can appeal to the code of
conduct if people gets upset with that. I think you already violated too
many principles that lead the ubuntu community by hiding the two facts
above behind silence. You perhaps don't realise that people pushing
ubuntu and making it the success it is, are the same people who don't
like being tricked or tracked. Even if we send our data to google every
day, this does not imply that we want to send our data to ubuntu. And
without knowing it!

Even if this is done by others, we do not expect ubuntu to do that. This
is a break of the trust we have in your distribution.

If you inform us, then we may decide so. I would not mind at all. I
would be even HAPPY to make you earn cash with my google searches. But I
want transparency and I do not see it in how things were done.

And having a poorer search for ubuntu users w.r.t. windows users is
something that I certainly don't want by default.

I am working for you

https://bugs.edge.launchpad.net/~vincenzo-ml

every day but this is only because I believe in the usual principles of
free software. I consider this whole custom search thing an incident in
this path. Not because of the search, because of the fact it has been
hidden. If you don't valuate the trust I put in you, I can close the 133
bugs with random replies and change distribution.

The custom search was already there in hardy. So *this did not start in
karmic for testing purposes*. Let's not lie about that. This is
something an Italian politician might have said on TV, but jaunty has
been released months ago. And you already made money and gathered data
with that.

Let me be clear: I don't want to, and can't, dictate over what you put
in ubuntu. I'd be happy to keep cooperating and stop polemic comments if
I felt that everything had been transparent.

But you have to be honest with people and keep them informed. That's
what I expect from you. And that's what I have not seen. I also asked on
the ubuntu-devel-discuss mailing list, more than one year ago, and did
not receive a reply. That's not nice at all. Today I asked again, but I
already had understood what you were doing. Here is the old message.

ht...

Read more...

I can't find a statement about the "collected data" ... could you please tell us a little bit
more about this feature.

Is this an idea from the "Department of Homeland Security"? Collecting data to preserve
our freedom?

Eric Appleman (erappleman) wrote :

Can't the custom search page be modified using the Google Custom Search API?

If you guys can somehow restore images, news, blogs, etc while maintaining the experimental code, then go for it.

Eric Appleman (erappleman) wrote :

Also, don't let my last comment fool you into thinking that I'm cool with the data collection.

I'd like a more candid explanation of what this data consists of.

zp (zekopeko) wrote :

I would like to make a suggestion:

If you install extensions or other data gathering applications in the testing cycle do the following:

Inform the user to the best of you abilities about your intentions. In the case of Multisearch a link on the search page leading to an explanation would be GREAT!
If it's some other kind of desktop software pop-up a big windows with an explanation (or at least a short description and a link to the full explanation).

The main point is: INFORM us! Tell us what kind of data you are collecting (I suggest an anonymous policy by default, more invasive data gathering should ONLY be opt-in not opt-out).

Understand that I'm a volunteer here. And so are the rest of girls and guys that test the next Ubuntu version.
I'm positive that a lot of people would LOVE to help you get useful data that could improve Ubuntu (or make Canonical some money for even more Ubuntu goodness). But you HAVE to be transparent.

I'll be watching this bug report closely, because this a show-stopper for me.
I can fix it on my setup, but I don't feel like supporting this fix or these sort of intense changes to the default firefox.

Some notes:

 - this "feels" like spyware/adware. The biggest (and almost only) selling point of linux in my community is lack of commercial 'annoyances'. I understand that needs differ and that canonical is trying to look at a way to make money. I am not condemning it. I'm just saying it would make the decision to choose Ubuntu much much harder. It would be very less sympathetic.

 - opening default homepage on new tabs is fine. Although, if this is really about improving the experience, I would vote for a chrome-like start-tab: with the favorite sites listed. I've never really quite understood why I have two search fields when I launch firefox. One in the browser, one in the top-right.

- If you want to make money from advertisement, the default homepage would be the place where it's non-obtrusive. Show my favorite sites and based on that show a google-ads-box on the right or something. Show them in a place where I click around when i'm bored, not when I am trying to get work done.

 - urlbar should be google-i-feel-lucky. That is the killer feature of firefox and chrome. Don't mess with that please. If we want to search, we will use the search box. Everybody that I know that uses firefox loves that part more than anything.

 - the default search should not contain MORE ads than google does by default. If that's not possible without making money on it: be creative and find another way. (Like putting the ads on my default homepage together with my most visisted sites and most recently visited sites .. chrome style)

 - the default search should not have less functionality or break integration with the rest of google. If the default search is going to be different from a normal google search, dont' call it google, don't use the google icon. Just add a 'ubuntu-search' with an ubuntu logo and make the default. That way we can still choose to use google easily, yet we can also choose to support Canonical.

Dave Stroud (bigdavesr) wrote :

This happewns on my machine too. I just hit the search button on the location bar and it takes you right to the regular google search, Or to what ever else you have it set to.Its too small to be of any use to me. But its always been like that

Vincenzo Ciancia (vincenzo-ml) wrote :

It has *not* always been like that. Now searching in the search box uses the custom search, but in the search box I see the google logo, and there's no clue that you're going to search with a specialised search engine. At least the logo should be changed. I *know* the search is on the google servers, but it's not the standard one.

sam tygier (samtygier) wrote :

canonical earning money from searches, which goes to pay developers = good (its how mozilla are funded)
google searches from ubuntu's firefox lacking features = bad, makes ubuntu look inferior
canonical having a list of all our searches = creepy, where is the privacy policy?

Adam Bielinski (windsurfer619) wrote :

I certainly hope this gets changed soon. This would be one *killer* bug, making Firefox less usable in Ubuntu. This breaks the standard Firefox behavior, plain and simple.

Please don't include this in the final release. I'm begging you!

Cam Cope (ccope) wrote :

I would like to register my extreme disapproval of what happened here.
Any change that puts revenue and/or collection of user data BEFORE functionality is UNACCEPTABLE.
Any new collection of user data without an EXPLICIT DISCLAIMER is UNETHICAL.

What distinguishes Ubuntu from many of the other distributions is its vibrant community. Don't alienate us, or you'll quickly find that your userbase will disappear. I would like to believe that this was just a mistake, that you guys were just doing what you thought was best. You have to remember that your goal is to make your users happy, which means you can't just make a quick buck. If you're going to generate some more revenue, fine, just don't break my existing functionality. I'd be totally cool with a slightly modified search page from the search box and a new default home page. Lastly, if you don't know what will be broken, BE TRANSPARENT so people know what's up. F/OSS means people have certain expectations, such as being able to watch the development process and provide input on design decisions.

"Any new collection of user data without an EXPLICIT DISCLAIMER is UNETHICAL.". I agree, in fact, solving this bug right now is not the only needed thing. A public statement about commitment to "being ethical" would be much more appreciated. But for this we need a good definition of ethical. Suggestions?

Eric Appleman (erappleman) wrote :

From Mr. Shuttleworth:

"There were extensive discussions at the last *two* UDS's about how we might change the search. This is helping us gather data. There's no secret cabal at work. I understand your concerns, but wanted to set the record straight about the public discussion. Your feedback on the functionality is valuable - thanks!

Mark"

Paul Sladen (sladen) on 2009-08-07
Changed in firefox-3.0 (Ubuntu):
milestone: none → karmic-alpha-5
Changed in firefox-3.5 (Ubuntu):
milestone: none → karmic-alpha-5
summary: - multisearch add on blocks the functionality of firefox location bar
+ multisearch presents reduced Google functionality and prevents use of
+ location bar "feeling lucky" search
Paul Sladen (sladen) on 2009-08-07
summary: - multisearch presents reduced Google functionality and prevents use of
- location bar "feeling lucky" search
+ multisearch CSE presents reduced Google functionality and prevents use
+ of location bar "feeling lucky" search
Paul Sladen (sladen) on 2009-08-08
summary: multisearch CSE presents reduced Google functionality and prevents use
- of location bar "feeling lucky" search
+ of location bar "feeling lucky" search and "violates user trust"
Paul Sladen (sladen) on 2009-08-08
summary: - multisearch CSE presents reduced Google functionality and prevents use
- of location bar "feeling lucky" search and "violates user trust"
+ multisearch CSE breaks l18n+setfocus+images+cached+I'm feeling lucky
+ functionality and "violates user trust"
32 comments hidden view all 112 comments
Bartek (tschew) wrote :

Since the "user trust" bug was marked as a duplicate of this one, I hope you don't mind me reposting this comment here:

User trust has been broken. The only way to track usage data in free software, anonymous or not,
is by explicitly asking users to opt in, in big letters. Plain and simple.

The extension should be removed immediately and
 https://code.edge.launchpad.net/~asac/firefox/ubuntu.me001
reviewed for privacy breaches.

Finally, if the extension is resubmitted for inclusion, it should be different from google.xml (the default google search in firefox) So that users can switch away from it if they prefer to support mozilla with searches rather than ubuntu.

http://bazaar.launchpad.net/~asac/firefox/ubuntu.me001/annotate/head%3A/debian/patches/google_code.patch

I would also like to point out that one of the (older) patches
http://bazaar.launchpad.net/~asac/firefox/ubuntu.me001/annotate/head%3A/debian/patches/ubuntu_codes_amazon.patch
indicates that an amazon search is similarly affected. (ie: ubuntu rather than mozilla makes money off amazon searches through the search bar, whether data is forwarded, only ubuntu and amazon know)

Finally, Alexander should make it clear how exactly the usage data is collected. It seems to me that none of the public patches (latest revision 2009-07-14) implement a direct data transfer. It appears like the version of the search extension and new-tab site are different from those in the publicly visible repository (note the lack of chrome/content/tab.html in the patchset). Maybe that file is autogenerated somehow but I doubt it.

Vish (vish) on 2009-08-08
description: updated
Directrix1 (directrix1) wrote :

This bug report has become a farce. I created the separate bug report because it is a separate issue. I guess I won't clear the duplicate flag because this bug's description has been changed to that all encompassing "multisearch CSE breaks l18n+setfocus+images+cached+I'm feeling lucky functionality and 'violates user trust'". I seriously doubt you are helping anything by focusing on a really ambiguous and overly broad bug report, but you guys do want you want. Dilute this issue as much as possible.

aboaboit (andrea-borgia) wrote :

The fine folks at Ubuntu probably fail to realize that a sizeable quota of users switching away from That Other OS do so precisely because they're fed up with sleazy moves like this one. If this "moral superiority" goes away, so does their incentive to migrate. Plus, it makes advocacy a hell of a lot more difficult.

Hats off to whoever came up with this brilliant idea. NOT.

Paul Sladen (sladen) wrote :

Within Ubuntu there is the Ubuntu Code of Conduct---and if you taking your own time to post here, you are as much a part of the Ubuntu community as any developers who may have spend their time implementing this (temporary) statistics gathering mechanism---

  http://www.ubuntu.com/community/conduct

It is helpful to remain considerate, respectful and to work together to improve the issues raised---and within Ubuntu that is something that we collectively agree to.

Please bare that in mind when adding your useful experiences to this bug report.

There is no Us and Them in Ubuntu, only *We*.

Il 07/08/2009 11:37, Alex Strasheim ha scritto:
> But it seems clear to me that we have Canonical people on one side of
> this, and users on the other. If a strong majority of users don't want
> this, should it remain in Ubuntu? Even if Canonical people think that
> the users are wrong?

You are doomed to be told that this problem is felt by a "vocal
minority" of users. This is even going to be true as most users do not
care at all about privacy issues or who they send their data to. It is
the purpose of a software distribution to take these decisions for the
users. Microsoft for example typically uses the default browser page to
publicise their services (I recall this from my short working experience
in windows xp, I may be even wrong). The majority of users will consider
a stupid issue to care about that.

V.

Adam Bielinski (windsurfer619) wrote :

> The majority of users will consider
> a stupid issue to care about that.

How do you know that? Canonical hasn't asked anyone what they think. Canonical doesn't seem to care, at the moment, about what most users think about privacy.

> Microsoft for example typically uses the default browser page to
> publicise their services

Thank goodness this isn't Microsoft, because if it were, we couldn't even try to convince them to remove such a ridiculous "feature".

Point is, there should be a mechanism to figure out what the user wants, much like the popularity contest currently does. This could be accomplished by moving this extension into another package that is tracked by the popularity contest. This would make it easy to remove and thus placate that "vocal minority" and also communicate to canonical how many people keep this extension installed. It would solve this problem while still giving Canonical revenue.

Vincenzo Ciancia (vincenzo-ml) wrote :

Adam: not only I agree with you but I tried to raise the question many times. The point in general is that if you state that "most users want something" then it may be argued that only a vocal minority of users is asking that. In this case, it seems even true but this does not change the fact that it is very important to have a commitment to transparency and respect for users privacy in ubuntu.

However, I think that the multi-serarch addon is creating lots of confusion into all of us. It is perfectly reasonable to open the default home page on new tabs, and to open the same search that can be found in the default home page when one uses the default search box! It was an usability problem before that two default searches (the one in the default home page and the google box) returned different results.

The true problem is *the default home page*. This is NOT experimental and has been there since hardy. Therefore here we are reporting two different bugs. The "violates user trust" one is actually a matter of the default home page, it is reported as https://bugs.edge.launchpad.net/ubuntu-start-page/+bug/405350.

Please follow up on that bug report, since the real problem is not the multi-search add-on. It is a problem for the "feeling lucky" and related technical problems, but the "political" problem is not a matter of that addon.

> There is no Us and Them in Ubuntu, only *We*.

I thought this was true for a long time. However *I* would NOT do that
with the default home page. So there is a *me* and *you* if you please,
we are again separate entities.

Vincenzo Ciancia (vincenzo-ml) wrote :

Dear all, I finally decided. I though about this for several months. In this case, a "strike" may be justified. Please (especially developers) don't become polemic with that. I cooperated with you for a very long time, you can see that in my launchpad home page. However, I feel like the trust break is grave. I hereby start my own personal strike. If other people feels the same, we shall see if you need this vocal minority to be on your side or not. That's up to you.

Here is how the strike is going to work.

https://wiki.ubuntu.com/BugReportersStrike

Please understand that it's not because I am your enemy that I waste my time doing that. I could just go away instead. Also notice that I am actually using your resources to do this (the wiki page). If this is against your terms and conditions ask me and I'll move that page somewhere else.

Please all, read the page and fix it. I just drafted it very quickly. It's a wiki, it can be improved. Vandalism will result in countermeasures of course.

Il 08/08/2009 00:32, solar.george ha scritto:
> OT but, I'd like to thank the Canonical employees (and any others) who
> have remained civil despite the huge number of childish (to say the
> least) comments and having to repeat themselves many times only in order
> to be ignored again.

The custom search has been there since hardy; I asked questions about
that one year ago, one month ago and two weeks ago. Every time I did not
get proper clarifications, and in the default home page still there is
no link about a document explaining what the custom search is. If you
think these comments are childish, then can you explain why the above is
true?

greg_s50 (gregs50) wrote :

Hi all,

I'm very suprise to see this addon on Ubuntu distribution. Like some Ubunteros say, we support Ubuntu, speak around us about this super distrib... This addon MUST Go away !

Vincenzo Ciancia (vincenzo-ml) wrote :

Forgive me if I insist in noting that the problem is the custom search being passed under silence to users, which is already a problem in the firefox start page. Multisearch is just pushing the CSE stronger if you please, but even removing it entirely will leave the custom search there, in front of users, looking like "google" for most of the users.

Kevin Christmas (kachristmas) wrote :

To those complaining about the tone in some posts, I think you fail to realize that:

1) People are angry
2) Ubuntu has built up enough goodwill that they are complaining directly in the channels that Ubuntu provides. This shows that they want to still want to participate in the project.
3) When people stop complaining directly that either means that the problem has been fixed or they have given up and moved on to the next latest greatest project.

What's really troubling is that asking for consent is something that has been done by other projects, such as popularity-contest.

Jono Bacon (jonobacon) wrote :

Hi Everyone,

I am sorry to hear about the problems that are occurring around this topic. I am conscious to see how we can drive towards a solution that can satisfy as many of the technical and policy issues that are being cited in this bug report. Many points have been raised throughout this conversation and while there is clearly passion in the air, I appreciate the constructive feedback that has been raised here. I would just ask that we focus our passion on solutions as opposed to tension.

I can assure you all there is no conspiracy, no cabal, no secret handshakes. The Canonical that has been a primary sponsor of the Ubuntu project is little different today as it was at the beginning of the project in terms of how it prioritizes and works with the community. While I am not expecting you to take my word for it, I would simply ask you to look at the history of Canonical's engagement with the Ubuntu project. Sure, there are bumps in the road, this is the nature of any project and company that has seen such extensive growth, but I think as a general rule of thumb, Canonical's engagement has been positive. What is important to me is that we continue to have a positive working relationship, and that we not only investigate areas of concern but also make adjustments and improvements where required.

In terms of this specific issue, I am checking in with our staff and the community to see how we can move this topic forward. Right now Alexander Sack is doing the same, and Rick Spencer is currently on vacation, so expect a bit of radio silence from him until he returns. I can assure you that this is very much on the radar. I appreciate everyone's patience on this.

  Jono

Bartek (tschew) wrote :

Thank you Jono for your kind assurances. I think people are all a bit anxious because of the looming
feature freeze in 2 weeks and how this has in the past affected controversial functionality that was
introduced close to the freeze date. I believe we are all aware, however, that Canonical has contributed
significantly to free software.

I believe that the majority of the people caring about this topic as much as I do essentially expect 4 things
for this to be called resolved:

1) A complete explanation on how much information is stored through the custom search. (*) (Thank you to Paul Sladen for clearly identifying the mechanism by which the search ratios are determined. I missed that the channel strings were different ;) )

2) Request for user consent at first launch or installation for any type of data mining / statistics collection and ability to remove said functionality then and there.

3) Simple removal (rather than disabling). And (I personally), the ability to make Mozilla, rather than Ubuntu, profit from searches (this should probably be extended to the Amazon search). Incidentally, I'm wondering what Mozilla's stance on this is given the branding.

4) feature-parity with a normal Google search (and the related improved layout)

(*) We are all aware that Google stores insane amounts of data (and some of us try to counteract this as much as possible) But I think we don't expect this kind of data mining from Ubuntu. (as there is talk of "revenue generation" in the future this is an important point): With respect to the usage tracking: are the relative frequencies related to the type of query in any way? Do you gain knowledge of search trends through the custom search? I think questions of this kind require clear exposition.

Vish (vish) wrote :

adding to Bartek's list:
5) what has canonical deduced from the info gathered ? ie. what have the statistics revealed?
 since we are unwilling/uninformed participants in this project , the results need to be published, that would quell the anxiety of all.
[ we have only volunteered to test the alpha but this extension, or its goals, wasnt apparent in the changelogs.]

Download full text (4.0 KiB)

Il 10/08/2009 20:45, Jono Bacon ha scritto:
> Hi Everyone,
>
> I am sorry to hear about the problems that are occurring around this
> topic. I am conscious to see how we can drive towards a solution that
> can satisfy as many of the technical and policy issues that are being
> cited in this bug report.

Jono: are you also referring to the google custom search, in general,
since that is in the default firefox home page since hardy, or are you
*specifically* talking about multisearch? It seems to me, in all
honesty, that all users talking here are powerusers, hence they just
want a comfortable alternative to the cse search box in the default home
page. Instead, it seems to me obvious that the two searches are the
same. The problem is which search is pushed to users.

> Many points have been raised throughout this
> conversation and while there is clearly passion in the air, I appreciate
> the constructive feedback that has been raised here. I would just ask
> that we focus our passion on solutions as opposed to tension.
>

I tried to be constructive on the issue for a very long time, but when I
was the only one asking questions, I was completely ignored. Only when
the FUD started spreading, and conspiracy theories came around, and many
people started asking questions and complaining, I saw some shy reply.
So I understood the message. You wanted to be silent on the issue as
long as possible. My mother has been using your google custom search for
several months until I realised the fact and then passed by my home.
This is just because I trusted hardy as the best linux distribution of
its times. This led me to tension, do you see why or is it entirely
normal for you that the start page looks like googe but it's not google?

Now I want to try to be constructive, again, but honestly I feel like
something is very wrong with the way questions are being addressed.

Can you just reply to one question: "why users have not been informed
since hardy, that is, why there is no short sentence and link to longer
explanation about what a CSE is, in the default start page?".

> I can assure you all there is no conspiracy, no cabal, no secret
> handshakes.

I can assure you that I believe there is no conspiracy until now. I
believe that it was more comfortable for you to start gathering data
without informing the users, because you didn't want to risk that users
opted out. Can you provide a different explanation?

What I ask for is a new "principle" in ubuntu, that is, commit to
respect of users privacy. That is, I don't want to wake up tomorrow and
discovered that all the commands I type in my shell are sent to
canonical for anonymous stats. I want to be sure that "evil" things like
using a CSE in the default start page without warning users will not be
done in the future.

I want to avoid running a firewall on MY system to protect ME from MY
OWN applications. This is what people does on windows, it's laughable
and concerning. I want to be able to trust ubuntu.

> The Canonical that has been a primary sponsor of the Ubuntu
> project is little different today as it was at the beginning of the
> project in terms of how it prioritizes an...

Read more...

Alexander Sack (asac) wrote :

bzr commit -m '* good-bye "Multisearch"; we remove our karmic alpha3 experiment called
  "Multisearch" as we are approaching alpha4 (LP: #402767, #402804, #406893,
   #410997, #408484, #403246)
  - remove <email address hidden>/...
  - update debian/firefox-3.0.install
  - update debian/rules' --fixes 'lp:402767' --fixes 'lp:402804' --fixes 'lp:403246' --fixes 'lp:406893' --fixes 'lp:408484' --fixes 'lp:410997'
Committing to: bzr+ssh://<email address hidden>/~mozillateam/firefox/firefox-3.0.head/
modified debian/changelog
modified debian/firefox-3.0.install
modified debian/rules
deleted <email address hidden>
deleted <email address hidden>/chrome
deleted <email address hidden>/chrome.manifest
deleted <email address hidden>/components
deleted <email address hidden>/defaults
deleted <email address hidden>/install.rdf
deleted <email address hidden>/searchplugins
deleted <email address hidden>/chrome/content
deleted <email address hidden>/chrome/content/Ubuntu Start Page_files
deleted <email address hidden>/chrome/content/browser.xul
deleted <email address hidden>/chrome/content/images
deleted <email address hidden>/chrome/content/text.html
deleted <email address hidden>/chrome/content/Ubuntu Start Page_files/Logo_25wht.gif.uu
deleted <email address hidden>/chrome/content/images/bg.jpg.uu
deleted <email address hidden>/chrome/content/images/bg.png.uu
deleted <email address hidden>/components/AboutTab.js
deleted <email address hidden>/defaults/preferences
deleted <email address hidden>/defaults/preferences/prefs.js
deleted <email address hidden>/searchplugins/google.xml
Committed revision 417.

Changed in firefox-3.0 (Ubuntu):
status: Triaged → Fix Committed
Alexander Sack (asac) wrote :

Multisearch was shipped by firefox-3.0 package - not a ffox 3.5 bug.

Changed in firefox-3.5 (Ubuntu):
status: Triaged → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox-3.0 - 3.0.13+nobinonly-0ubuntu3

---------------
firefox-3.0 (3.0.13+nobinonly-0ubuntu3) karmic; urgency=low

  * good-bye "Multisearch"; we remove our karmic alpha3 experiment called
    "Multisearch" as we are approaching alpha4 (LP: #402767, #402804, #406893,
     #410997, #408484, #403246)
    - remove <email address hidden>/...
    - update debian/firefox-3.0.install
    - update debian/rules

 -- Alexander Sack <email address hidden> Tue, 11 Aug 2009 11:14:32 +0200

Changed in firefox-3.0 (Ubuntu):
status: Fix Committed → Fix Released
Paul Sladen (sladen) on 2009-08-11
Changed in firefox:
status: New → Invalid
Paul Sladen (sladen) wrote :

Confirming for 'ubuntu-start-page' as broken feature-set is still there, along with the partner:channel ID.

BTW, the information that "Bartek" is referring to in one of the above posts is in consolidated in the Wiki page at:

  https://wiki.ubuntu.com/Multisearch

Changed in ubuntu-start-page:
status: New → Confirmed
Alexander Sack (asac) wrote :

ubuntu-start-page CSE is tracked in bug 305905

Changed in ubuntu-start-page:
status: Confirmed → Invalid
Vish (vish) wrote :

@Paul Sladen:
What about the info collected ? and the results of this "experiment" ? when can we expect them to be revealed?

Vincenzo Ciancia (vincenzo-ml) wrote :

Il 11/08/2009 13:43, mac_v ha scritto:
> @Paul Sladen:
> What about the info collected ? and the results of this "experiment" ? when can we expect them to be revealed?
>

There is more: a CSE can be used to exclude or include sites. What about
giving us a secure way to know which service configuration are we using?
We use free software exactly because we want to know what the software
we use does.

On Tue, Aug 11, 2009 at 08:33, Vincenzo Ciancia <email address hidden>wrote:

> There is more: a CSE can be used to exclude or include sites. What about
> giving us a secure way to know which service configuration are we using?
> We use free software exactly because we want to know what the software
> we use does.
>

You can't really have that, since you'd have to trust that Canonical wasn't
lying.

--
Luke Faraone
http://luke.faraone.cc

Ace Suares (acesuares) wrote :

I hate that too. It feels like intrusion into my private sphere. Bad Bad Ubuntu, on this one. Luckily I now finally found out to disable multisearch after looking trough tons of firefox preferences.

Il 11/08/2009 15:06, Luke Faraone ha scritto:
> On Tue, Aug 11, 2009 at 08:33, Vincenzo Ciancia
> <email address hidden>wrote:
>
>> There is more: a CSE can be used to exclude or include sites. What about
>> giving us a secure way to know which service configuration are we using?
>> We use free software exactly because we want to know what the software
>> we use does.
>>
>
> You can't really have that, since you'd have to trust that Canonical wasn't
> lying.
>

Google could optionally show a link on the cse results page with a
read-only version of the configuration, that'd be trusting google but we
do that anyways.

On Tue, Aug 11, 2009 at 10:21, Vincenzo Ciancia <email address hidden>wrote:

> Google could optionally show a link on the cse results page with a
> read-only version of the configuration, that'd be trusting google but we
> do that anyways.
>

Which requires the cooperation of Google, which is unlikely. If Google were
to do such a thing, they might as well use the same setup as they have with
Mozilla: a non-custom search which provides the same statistical data.

--
Luke Faraone
http://luke.faraone.cc

I think that google if asked by ubuntu would consider the option. Showing the read-only config would be optional and unharmful to everybody.

John Moser (nigelenki) wrote :

This is a stupid argument. I've read about half of it. Let me summarize:

1. People are shocked at new functionality. Because it breaks old functionality. This happens, this is a legitimate complaint; however, stop being psycho about it.

2. People are shocked at the concept of having data collected. This is a legitimate argument for data collected about them; however, the data being collected here IS ABOUT SOFTWARE. How did a user get to here? Not how did Alex get here, but how did A USER get here? More importantly, 6,000 searches were performed; how many used the start page, how many went to Google.com, how many used the Google search bar?

  People are complaining that data is being collected from them, but not about them. Meanwhile, in the log files for Google, every search you've ever sent shows up with your IP address; they don't analyze it (maybe, maybe they do), but they collect it in far more detail than you care to complain about.

3. People are even more shocked that Ubuntu may garner revenue from some method the user isn't informed about. Why not be shocked that the tiles at the airport are piezoelectric generators that collect electricity as you walk? How dare they!

Seriously, people, what the hell is your problem? Please explain exactly what threat there is here. What huge violation of your rights is occurring when data you send out across a network winds up on somebody's servers? Especially when said data is concerned with WHAT you did and not WHO did it, and thus the software discards anything that has anything to do with anything other than what part of the screen was clicked (i.e. your IP, your user name, where the hell you came from, etc)?

I read this entire thread as "FIGHT THE POWAH MAN! STICK IT TO THE MAN! MAKING MONEY IS BAD! KNOWING ANYTHING ABOUT YOUR USERS IS BAD!" Translation: You are a bunch of rabid hippies.

Dave Stroud (bigdavesr) wrote :

I have no objection to ubuntu making money. But if it is collecting my IP address it can be traced back to me. Which I dont like.

Luke Faraone (lfaraone) wrote :

On Fri, Aug 14, 2009 at 14:39, Dave Stroud <email address hidden> wrote:

> I have no objection to ubuntu making money. But if it is collecting my
> IP address it can be traced back to me. Which I dont like.
>

Which it isn't (collecting): they just get statistical data about what
clients users use (along with the normal data such as top keywords, etc, but
that's publicized in the Google Zeitgeist anyway)

--
Luke Faraone
http://luke.faraone.cc

Vish (vish) wrote :

@Dave Stroud and all:
Pls dont feed the troll. ;-)

Good day,

I will explain the reason why I was shocked. Not why A USER was shocked.
It may help the marketing people at Canonical to improve their efforts
to eliminate launchpad bug #000001

The reason why I was shocked is that the new 'google' homepage lacked
functionality that I had on the old 'google' homepage. On the old page
there was a bar with buttons that made it very easy to switch from web
search to image search and video search (and some others that I use less).

To stress this fact, I couldn't care less if Canonical would make money
of my searches or did some aggregate data collection (anonymously I
presume). Actually, I would be happy of they can make money of my
searches for 'Ubuntu 9.04 copy paste functionality third mouse button
vanished' or 'Ubuntu Jaunty Firefox memory problem'. Be my guest!

It's just that I got used to using that one google page for nearly all
my searches and that it had some great buttons that disappeared after an
Ubuntu upgrade. And that it was hard to find the way back. (Hint:
disable multi search add-on in firefox).

That's all I gotta say about that.

John Moser wrote:
> This is a stupid argument. I've read about half of it. Let me
> summarize:
>
> 1. People are shocked at new functionality. Because it breaks old
> functionality. This happens, this is a legitimate complaint; however,
> stop being psycho about it.
>
> 2. People are shocked at the concept of having data collected. This is
> a legitimate argument for data collected about them; however, the data
> being collected here IS ABOUT SOFTWARE. How did a user get to here? Not
> how did Alex get here, but how did A USER get here? More importantly,
> 6,000 searches were performed; how many used the start page, how many
> went to Google.com, how many used the Google search bar?
>
> People are complaining that data is being collected from them, but not
> about them. Meanwhile, in the log files for Google, every search you've
> ever sent shows up with your IP address; they don't analyze it (maybe,
> maybe they do), but they collect it in far more detail than you care to
> complain about.
>
> 3. People are even more shocked that Ubuntu may garner revenue from
> some method the user isn't informed about. Why not be shocked that the
> tiles at the airport are piezoelectric generators that collect
> electricity as you walk? How dare they!
>
>
> Seriously, people, what the hell is your problem? Please explain exactly what threat there is here. What huge violation of your rights is occurring when data you send out across a network winds up on somebody's servers? Especially when said data is concerned with WHAT you did and not WHO did it, and thus the software discards anything that has anything to do with anything other than what part of the screen was clicked (i.e. your IP, your user name, where the hell you came from, etc)?
>
> I read this entire thread as "FIGHT THE POWAH MAN! STICK IT TO THE MAN!
> MAKING MONEY IS BAD! KNOWING ANYTHING ABOUT YOUR USERS IS BAD!"
> Translation: You are a bunch of rabid hippies.
>

Dave Stroud (bigdavesr) wrote :

With google if you have an account you can go into your account and see your search history. You can delete your history and stop google from collecting it.

emarkay (mrk) wrote :

What ever happened to the users? (Where's TRON when we need him?) Anything that sends information OUT of my computer that I have not pre-authorized is in violation of many privacy policies, regardless of the aggregate. Yes, I am aware of much that goes out (IP address for one), most necessary, some optional, but to include something as this as a default that is functionally UNNECESSARY is both inappropriate and an affront to the intelligence of the FOSS community.

Let this be a wake-up call not to "assume" that everyone in the FOSS community is benevolent and good; or at least follow both Code of Conducts and common sense.

I vote to remove it, and also to require full disclosure on any FURTHER outgoing data collected or sent from computers using Ubuntu and Ubuntu-authorized programs

> Seriously, people, what the hell is your problem? Please explain exactly what threat there is here. What huge violation of your rights is occurring when data you send out across a network winds up on somebody's servers? Especially when said data is concerned with WHAT you did and not WHO did it, and thus the software discards anything that has anything to do with anything other than what part of the screen was clicked (i.e. your IP, your user name, where the hell you came from, etc)?

When they will start logging your shell commands we'll talk.

John Vivirito (gnomefreak) wrote :

Pleae move this conversation to a forums thread or a mailing list. The multisearch package has been removed and has fixed this bug so there should be no more comments here.

Displaying first 40 and last 40 comments. View all 112 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers